X2Go Bug report logs - #1121
x2goclient Doesn't Use libssh Config File

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Matthew Rubenstein <matthew.rubenstein@blue-green-group.com>

Date: Fri, 2 Dec 2016 18:30:01 UTC

Severity: wishlist

Tags: pending

Merged with 212

Found in versions 4.0.5.1, 4.0.1.0

Fixed in version 4.1.1.0

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1121; Package x2goclient. (Fri, 02 Dec 2016 18:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Matthew Rubenstein <matthew.rubenstein@blue-green-group.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 02 Dec 2016 18:30:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Matthew Rubenstein <matthew.rubenstein@blue-green-group.com>
To: submit@bugs.x2go.org
Subject: x2goclient Doesn't Use libssh Config File
Date: Fri, 02 Dec 2016 13:27:48 -0500
Package: x2goclient
Version: 4.0.5.1
Severity: wishlist


	Hello. x2goclient uses libssh but does not use a client config
file the way libssh can, ssh_options_parse_config()
http://api.libssh.org/master/group__libssh__session.html#ga82371e723260
c7572ea061edecc2e9f1

	~/.ssh/config or /etc/ssh_config are essential for client
configuration  of the ssh connection over which x2go sessions run.
Among other important configurations are Ciphers and KexAlgorithms
specifications, with which a client can require only trusted crypto
algorithms or else refuse connection. The current code simply
negotiates whichever algorithm is the first match in the hardcoded
libssh list to whatever the remote sshd specifies (eg. in its
sshd_config file). The agreed algorithm is currently not exposed to the
x2goclient user, but specifying it in the client config file would make
it knowable by the user depending on it. There are many other
configurations the config file could specify, to make x2goclient meet
user requirements, even just "work the same as my other ssh sessions"
where libssh supports those features.

	The Session preferences dialog's Connection tab could expose a
file open dialog to select a config file. That file open dialog could
default to the user's .ssh directory, or else to the directory
specified in the Session tab's "Use RSA/DSA key [...]" value if any.


--
Matthew.Rubenstein@Blue-Green-Group.com
718-233-5097



Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 22 Feb 2017 10:05:01 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.0.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 22 Feb 2017 10:05:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1121; Package x2goclient. (Wed, 22 Feb 2017 10:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 22 Feb 2017 10:25:01 GMT) (full text, mbox, link).


Message #14 received at 1121@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Matthew Rubenstein <matthew.rubenstein@blue-green-group.com>, 1121@bugs.x2go.org
Subject: Re: x2goclient Doesn't Use libssh Config File
Date: Wed, 22 Feb 2017 11:22:33 +0100
[Message part 1 (text/plain, inline)]
On 02.12.2016 07:27 PM, Matthew Rubenstein wrote:
> 	The Session preferences dialog's Connection tab could expose a
> file open dialog to select a config file. That file open dialog could
> default to the user's .ssh directory, or else to the directory
> specified in the Session tab's "Use RSA/DSA key [...]" value if any.

I didn't implement this part, though. Could do it, but then what would be the
right place for it? General preferences, so that you can define it globally?
Per-session? Would mean passing this option around all the time, though.

I think we're fine with just parsing the default config file for now.

If really strictly needed, I can always implement a setting for this later. For
now let's keep it like this - at least we *have* config file parsing now.


I think I should explain some nifty features, though.

For a specific shortname, you can set the Host, User and Port parameters in the
config file as well. I implemented support for that as well, but it's a bit
non-obvious to use.

For using the address specified in the config file, simply supply the shortname
in the session's host field.

Likewise, to make X2Go Client use the user name specified in the ssh client
config file, leave the username field in the session config EMPTY. (Note that
this a bit tricky, because if your ssh client config does NOT specify a user
name for this shortname and you leave the field empty, X2Go Client will instead
connect with the username you are currently logged in on your local machine.)

To use the port specified in the ssh client config file for the specified
shortname, set a port number of 0 in the session config. (Note: also tricky,
because if you didn't set a proper port in the ssh client config file but 0 as
the port number in the session config, libssh will use the default port - 22.)

All this works for both a direct connection and an SSH-proxied connection.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Marked as found in versions 4.0.1.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 28 Feb 2017 16:35:01 GMT) (full text, mbox, link).


Merged 1121 212 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 28 Feb 2017 16:35:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1121; Package x2goclient. (Sun, 05 Mar 2017 22:25:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ymir.das-netzwerkteam.de, @ionic.de>@ymir.das-netzwerkteam.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 05 Mar 2017 22:25:03 GMT) (full text, mbox, link).


Message #23 received at 1121@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ymir.das-netzwerkteam.de, @ionic.de>@ymir.das-netzwerkteam.de
To: 1121-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1121@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Sun, 5 Mar 2017 23:22:11 +0100 (CET)
tag #1121 pending
fixed #1121 4.1.0.1
thanks

Hello,

X2Go issue #1121 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=a5639de

The issue will most likely be fixed in src:x2goclient (4.1.0.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit a5639dea6e7fde937fbaf8c693badfa33b78ae57
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Thu Feb 2 08:09:08 2017 +0100

    src/sshmasterconnection.cpp: enable parsing of ~/.ssh/config. Fixes: #1121.
    
    Shorthands as host names and other bells and whistles like inferred port
    or user name values are now supported.

diff --git a/debian/changelog b/debian/changelog
index 9724054..10d1d47 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -54,6 +54,9 @@ x2goclient (4.1.0.1-0x2go1) UNRELEASED; urgency=medium
     - src/sshmasterconnection.cpp: fix up some debug strings.
     - src/sshmasterconnection.cpp: port more occurrences of "QString to C
       string" akin to 1b21d75f2c10609f3586f5b5e0b4ceb7fca83fdd.
+    - src/sshmasterconnection.cpp: enable parsing of ~/.ssh/config.
+      Fixes: #1121. Shorthands as host names and other bells and whistles like
+      inferred port or user name values are now supported.
 
  -- X2Go Release Manager <git-admin@x2go.org>  Wed, 22 Feb 2017 07:13:10 +0100
 


Message sent on to Matthew Rubenstein <matthew.rubenstein@blue-green-group.com>:
Bug#1121. (Sun, 05 Mar 2017 22:25:11 GMT) (full text, mbox, link).


No longer marked as fixed in versions 4.1.0.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 29 Oct 2017 07:20:01 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.1.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 29 Oct 2017 07:20:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1121; Package x2goclient. (Sun, 29 Oct 2017 07:50:04 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 29 Oct 2017 07:50:04 GMT) (full text, mbox, link).


Message #35 received at 1121@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1121-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1121@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Sun, 29 Oct 2017 08:45:53 +0100 (CET)
close #1121
thanks

Hello,

we are very hopeful that X2Go issue #1121 reported by you
has been resolved in the new release (4.1.1.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.1.1.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=eafcb63c2ac63ae7ce43886949945e710c81bd3d;hp=add03ee78f3dcbee3317bf17a08dcb2cbeb12ee7

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.1.1.0-0x2go1
Status: RELEASE
Date: Sun, 29 Oct 2017 08:43:45 +0100
Fixes: 31 499 592 870 930 966 1093 1100 1119 1121 1152 1165 1185 1186
Changes:
 x2goclient (4.1.1.0-0x2go1) RELEASED; urgency=medium
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.1.0):
     - src/sshmasterconnection.cpp: use ssh_channel_listen_forward () instead
       of ssh_forward_listen () for newer libssh versions. Fixes: #870.
     - src/sshmasterconnection.cpp: with libssh 0.6.0 and newer, get the public
       key via ssh_get_server_publickey () (0.8.0 and higher) or
       ssh_get_publickey () (0.7.x and lower) and its hash via
       ssh_get_publickey_hash () instead of using the deprecated
       ssh_get_pubkey_hash () function. Additionally, replace free () with the
       more appropriate ssh_string_free_char () function after using
       ssh_get_hexa (). This will break on very old systems with a hopelessly
       outdated libssh version, but we do not care about these systems in the
       first place.
     - src/sshmasterconnection.cpp: replace string_free () with its successor
       ssh_string_free (). Will break on ancient systems, but we don't care.
     - src/sshmasterconnection.cpp: replace deprecated channel_new () function
       with ssh_channel_new (). Might break on ancient systems, but we don't
       care. Also, add error handling in case ssh_channel_new () failed...
     - src/sshmasterconnection.cpp: replace deprecated channel_open_forward ()
       function with ssh_channel_open_forward (). Might break on ancient
       systems, but we don't care.
     - src/sshmasterconnection.cpp: replace deprecated channel_open_session ()
       function with ssh_channel_open_session (). Might break on ancient
       systems, but we don't care.
     - src/sshmasterconnection.cpp: replace deprecated channel_request_exec ()
       function with ssh_channel_request_exec (). Might break on ancient
       systems, but we don't care.
     - src/sshmasterconnection.cpp: replace deprecated channel_poll () function
       with ssh_channel_poll (). Might break on ancient systems, but we don't
       care.
     - src/sshmasterconnection.cpp: replace deprecated channel_read () function
       with ssh_channel_read (). Might break on ancient systems, but we don't
       care.
     - src/sshmasterconnection.cpp: replace deprecated channel_is_eof ()
       function with ssh_channel_is_eof (). Might break on ancient systems, but
       we don't care.
     - src/sshmasterconnection.cpp: replace deprecated channel_write ()
       function with ssh_channel_write (). Might break on ancient systems, but
       we don't care.
     - src/sshmasterconnection.cpp: replace deprecated channel_send_eof ()
       function with ssh_channel_send_eof (). Might break on ancient systems,
       but we don't care.
     - src/sshmasterconnection.cpp: replace deprecated channel_close ()
       function with ssh_channel_close (). Might break on ancient systems, but
       we don't care.
     - src/sshmasterconnection.cpp: replace deprecated channel_free () function
       with ssh_channel_free (). Might break on ancient systems, but we don't
       care.
     - src/sshmasterconnection.cpp: use QString::arg () to insert function name
       and thus deduplicate error translation messages. Also re-add the full
       stop sign and remove it when needed for x2goDebug.
     - src/sshmasterconnection.cpp: fix up some debug strings.
     - src/sshmasterconnection.cpp: port more occurrences of "QString to C
       string" akin to 1b21d75f2c10609f3586f5b5e0b4ceb7fca83fdd.
     - src/sshmasterconnection.cpp: enable parsing of ~/.ssh/config.
       Fixes: #1121. Shorthands as host names and other bells and whistles like
       inferred port or user name values are now supported.
     - src/{onmainwindow,httpbrokerclient}.cpp: fix up error/warning message
       displayed when the server-specified key is unknown, but we have another
       key type stored already.
     - src/pulsemanager.cpp: fix up a debug string. Qt drops a space where I'd
       like to have one and inserts a space where I'd like none, so work around
       that fancifully.
     - src/sshmasterconnection.cpp: libssh < 0.6.0 does not have the
       ssh_options_get () API, but instead expects users to pull out
       information directly from the ssh_session structure. This fixes compile
       issues on systems with older libssh versions.
     - src/sshmasterconnection.cpp: turns out libssh < 0.6.0 doesn't support
       fetching the host, port and username parameters at all. We're in the
       clear for non-SSH-proxied connections and can use config file parsing,
       but have to disable config file parsing in the proxy settings, as
       there's no way to query the remote endpoint information. As a result we
       will be unable to open a new socket to the remote endpoint and proxying
       will fail badly.
     - src/x2goutils.cpp: ensure that add_to_path () also processes the first
       value passed. Fixes startup problems in MacPorts. Fixes: #1093.
     - res/i18n/x2goclient_et.ts: various fixups for the Estonian translation
       file.
     - res/i18n/x2goclient_*.ts: go the extra mile and fix up translation files
       manually after the "anothertype" fix in
       8e503d89ee2d03a313c3deff11f0516fce503022.
     - {src/{onmainwindow,httpbrokerclient}.cpp,res/i18n/x2goclient_*.ts}: fix
       another occurrence of a string missing a space separator between words
       and update translation files.
     - src/onmainwindow.cpp: don't duplicate depth warning message needlessly,
       use correct plural forms in translations and split string up in a
       translation-friendly form. I'll leave translators to handle this beast,
       as languages are unique in the number of plural forms and the like.
     - {src/printdialog.cpp,res/i18n/x2goclient_*.ts}: drop spurious left-over
       parenthesis in warning message and adapt translations.
     - src/onmainwindow.cpp: make the "not loading translator" message
       non-translatable, as it doesn't make a lot of sense to actually
       translate it.
     - {src/{configdialog,x2goutils}.cpp,res/i18n/x2goclient_*.ts}: change
       XQuartz project homepage references, adapt translations.
     - src/pulsemanager.{cpp,h}: make get_* () functions const.
     - src/pulsemanager.{cpp,h}: make is_server_running () const.
     - src/pulsemanager.{cpp,h}: add new pulse_version_valid_ boolean class
       member variable, set it correctly and use it whenever the version is
       accessed.
     - src/pulsemanager.cpp: make fetch_pulseaudio_version () more resilient.
       Instead of aborting hard when the version number could not be detected,
       break out of the loops only. We can make stuff work, even if the version
       is unknown. Or just continue without PA support as such.
     - src/pulsemanager.{cpp,h}: add show_startup_warning () for both PA server
       and (debug) startup sound playback.
     - src/pulsemanager.cpp: check server_binary_ before using it and jump over
       code that assumes the PA server binary to be available.
     - src/pulsemanager.cpp: don't fail hard on OS X if the PA server binary
       could not be found in the constructor. We can live without PA and will
       show a warning message to the user later on when PA is supposed to be
       started.
     - src/pulsemanager.cpp: deduplicate warning/error messages - make use of
       show_startup_warning (). This does imply changes to the translation
       files, coming up next.
     - res/i18n/x2goclient_*.ts: regenerate translation files and fix up some
       SSH and PulseManager messages manually, where possible.
     - src/x2ogutils.h: guard UNUSED macro definition.
     - {macbuild.sh,src/{x2goutils.h,{pulsemanager,onmainwindow}.cpp},
        x2goclient.pro}: make MacPorts prefix selectable at compile time. Much
       cleaner for downstream package maintainers (like, for instance, MacPorts
       itself.)
     - res/i18n/x2goclient_fi.ts: remove outdated comment.
     - src/sshprocess.cpp: bind direct tunnel socket to localhost instead of
       any address. Fixes: #31.
     - src/onmainwindow.cpp: check for sessionExplorer->getLastSession() to be
       valid in all places but obvious ones. Fixes: #499.
     - src/sshmasterconnection.cpp: use new PKI-based libssh API for public key
       authentication for libssh 0.6.0 and higher. Fixes: #1119.
     - src/sshmasterconnection.cpp: add YubiKey challenge auth prompt.
     - src/sshmasterconnection.cpp: fix compile errors on pre-libssh-0.6.0
       systems and add a TOCTU-race check to see if the file exists prior to
       calling privatekey_from_file () on such systems. Additionally fix a type
       issue.
     - macbuild.sh: fix long-standing issue that made the DMG bundle contain a
       symlink made up of only a space to /Applications.
     - res/img/icons/dmg: add new image disk.svg, used as the basis for the new
       OS X DMG bundle icon.
     - res/img/icons/dmg: add new disk-drive-and-x2goclient icon for use as the
       volume icon of the OS X DMG bundle.
     - macbuild.sh: use the new volume icon that actually also looks like a
       disk drive. Fixes: #930.
     - src/onmainwindow.cpp: typo fix only.
     - src/onmainwindow.cpp: do not automatically set login user name to
       current system user if empty. Unbreaks default user name fetching via
       libssh. Might break some use cases (especially RDP, XDMCP).
     - src/x2goclient.cpp: revert change bypassing the UNIX cleanup helper.
     - src/onmainwindow.cpp: revert old behavior and select user name field
       after a session has been suspended/terminated if user name was not
       provided. Do not insert an user name, though, but leave it to
       autodetection by default.
     - src/sshmasterconnection.cpp: fix SSH-proxied connections with port
       numbers of zero.
       In order to authenticate the remote server, SSH-proxied connections must
       be reset to their remote host and port values after connecting via the
       SSH tunnel. If the original port value was zero, setting it was skipped,
       leading to connections like $REMOTE_HOST:$PROXY_PORT, which is certainly
       wrong. Fetch the inferred port value and set this instead, fixing this
       issue.
     - Makefile: add new QMAKE_OPTS variable so that packagers can pass
       additional options to qmake directly.
     - src/sshmasterconnection.cpp: typo fix in log message only.
     - src/sshmasterconnection.cpp: don't leak ssh_session data, free it once
       we're done with it.
     - Makefile: qmake seems to act weird if QMAKE_C(XX)FLAGS starts with a
       space followed by additional non-whitespace characters. Refactor the
       variables a bit to work around this issue.
     - Makefile: turns out the only somewhat portable way to do something like
       this is via shell hackery.
     - Makefile: reset to the original state and make sure that we don't pass
       CXXFLAGS on to the actual build process to not override the values
       generated by qmake.
     - Makefile: the only way to prevent variables on the command line to be
       passed down seems to be to remove them from MAKEOVERRIDES.
       .MAKEOVERRIDES is the FreeBSD-make-equivalent variable. MAKEFLAGS has no
       effect on this behavior, so removing it again.
     - Makefile: add comment explaining why we need to do this in the first
       place and why it's so complicated.
     - src/sshmasterconnection: ignore "garbage", but require at least one line
       to start with a known challenge auth prompt. Fixes: #966.
     - x2goclient.pro: add libssh_threads library. We need this since X2Go
       Client is multi-threaded.
     - copy-deps-win32.bat: also copy libssh_threads.dll to go with the
       previous change.
     - src/{onmainwindow,sshmasterconnection}.{cpp,h}: correctly initialize and
       finalize libssh. We ought to do both only once - in our main thread.
       Previously, we initialized libssh in a new thread, which might be
       problematic.
     - src/sessionexplorer.cpp: open the correct tab when editing a session
       from the exports menu.
     - src/onmainwindow.cpp: try to workaround window placement if settings
       contain a (newly) invalid position (e.g., a position that refers to a
       disconnected display.)
     - src/onmainwindow.cpp: try to find a display that can hold the window's
       position fetched from the sizes settings. Use the default if none could
       be found.
     - src/onmainwindow.cpp: fix up main window position check; use
       QRect.intersects ().
     - src/pulsemanager.{cpp,h}: rename shutdownState to shutdown_state_,
       reorder in initializer list.
     - res/i18n/: regenerate translations.
     - res/i18n/x2goclient_es.ts: fixup Spanish translation file.
     - res/i18n/x2goclient_et.ts: fixup some typos in the Estonian translation
       file.
     - res/i18n/x2goclient_sv.ts: add singular form to translation entry as
       discussed on list.
     - res/i18n/x2goclient_es.ts: add singular form to translation entry as
       discussed off list.
     - res/i18n/x2goclient_nl.ts: various fixups for Dutch translation file.
     - res/i18n/x2goclient_nb_no.ts: various fixups for Bokmål (Norway)
       translation file.
     - res/i18n/x2goclient_nl.ts: fix whitespace issues in Dutch translation
       file and re-add numerus form translation.
     - res/i18n/x2goclient_nb_no.ts: various fixups for Bokmål (Norway)
       translation file, including numerus form.
     - src/sshmasterconnection.cpp: for proxied connections, fetch the user
       name matching the given host, not proxy host.
     - res/i18n/x2goclient_fi.ts: various fixups for Finnish translation file.
     - res/i18n/x2goclient_fi.ts: another tiny whitespace fixup for Finnish
       translation file.
     - src/onmainwindow.cpp: fix "XMDCP" typo.
     - res/i18n/x2goclient_de.ts: various fixups for German translation file.
     - src/onmainwindow.cpp: fix "loose" vs. "lose" spelling mistake.
     - res/i18n/x2goclient_et.ts: remove obsolete and wrongly capitalized
       "x2go" part from an Estonian translation message.
     - res/i18n/x2goclient_sv.ts: minor whitespace fixup.
     - res/i18n/x2goclient_*.ts: apply "XMDCP" -> "XDMCP" fix manually to
       translation files.
     - res/i18n/x2goclient_nb_no.ts: remove obsolete comments (leading to
       problems when regenerating translation files.)
     - res/i18n/x2goclient_nl.ts: remove obsolete comments (leading to problems
       when regenerating translation files.)
     - res/i18n/x2goclient_*.ts: regenerate translations.
     - res/i18n/x2goclient_fi.ts: various fixups for Finnish translation file.
     - src/sshmasterconnection.cpp: spelling fix. (Quiting -> Quitting)
     - x2gobrowserplugin-2.4_1/src/qtbrowserplugin.cpp: spelling fix.
       (convertable -> convertible)
   * x2goclient.spec:
     - Respect %{optflags} and pass QMAKE_STRIP=: to fix missing debug info
       issues.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.1.1.0):
     - Interaction with SSH server (for example for changing
       expired password). Fixes: #592.
     - Fixing setting widget style issue in InteractionDialog on
       Windows client.
     - SSH Interaction for SSH Broker and SSH Server.
     - SSH Iteraction for method keyboard-interactive.
     - Move PulseManager MsgBox functions to main window:
       GUI functions should be used only from main thread.
     - Check "norecord" option on the first start of PulseAudio.
     - Disable/Enable PulseAudio in config dialog.
       New command line options:
       --disable-pulse to disable start of PulseAudio
       --disable-pulse-record to disable audio input.
     - Check if PulseAudio running at session start and resuming
       when sound is enabled. Show warning if PulseAudio not running
       and disable the sound support for the session to avoid
       session freezes.
     - Add session config file option "sshproxysamekey". With this option
       client will use for proxy authentication same key as for X2Go server.
       This is important in first case for broker users, where key can be
       generated "on the fly". Maybe it makes sence to add this option in UI
       and command line later.
     - Correct negative display coordinates for FS sessions.
 .
   [ Robert Parts ]
   * New upstream version (4.1.1.0):
     - res/i18n/x2goclient_et.ts: update Estonian translation file.
     - res/i18n/x2goclient_et.ts: update Estonian translation file.
 .
   [ Martti Pitkänen ]
   * New upstream version (4.1.1.0):
     - res/i18n/x2goclient_fi.ts: update Finnish translation file.
     - res/i18n/x2goclient_fi.ts: update Finnish translation file.
     - res/i18n/x2goclient_fi.ts: update Finnish translation file.
 .
   [ Mike DePaulo ]
   * New upstream version (4.1.1.0):
     - Windows: Upgrade PulseAudio from 6.0 to 7.1
       Fixes: #1152 Issues with audio when playing HTML5 videos
     - Windows: Remove uninstaller from start menu.
       It is still available in "Programs and Features".
     - Windows: Upgrade Win32 OpenSSL from 1.0.1t to 1.0.2k
       Fixes numerous CVEs
     - Windows: Upgrade libssh from 0.7.0 to 0.7.4 (while maintaining
       Pageant support).
       The possibly relevant changes are:
         + CVE-2016-0739 was fixed
         + improved id_ed25519 support
         + numerous bug fixes
     - Windows: Update PuTTY from 0.67 to 0.68
       The possibly relevant changes are:
         + CVE-2016-6167 was fixed (did not affect X2Go Client by
           default because the installation dir is not writeable by
           users)
         + CVE-2017-6542 was fixed
     - Don't override PATH for the actual session or application
       command.
       Fixes: #1100
 .
   [ Walid Moghrabi ]
   * New upstream version (4.1.1.0):
     - {src/{help.cpp,onmainwindow.{cpp,h}},man/man1/x2goclient.1}: let
       --background take a directory and randomly pick an SVG file in there.
       Fixes: #1165.
     - {src/{help.cpp,onmainwindow.{cpp,h}},man/man1/x2goclient.1}:
       pass-through broker credentials when connecting to a direct RDP session.
       Fixes: #1185.
       Adds a new  --broker-use-creds-for-session parameter.
     - src/onmainwindow.cpp: support --close-disconnect for direct RDP
       sessions. Fixes: #1186.
 .
   [ Daniel Lindgren ]
   * New upstream version (4.1.1.0):
     - res/i18n/x2goclient_sv.ts: update Swedish translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream release (4.1.1.0):
     - res/i18n/x2goclient_es.ts: update Spanish translation file.
 .
   [ Jos Wolfkamp ]
   * New upstream version (4.1.1.0):
     - res/i18n/x2goclient_nl.ts: update Dutch translation file.
     - res/i18n/x2goclient_nl.ts: update Dutch translation file.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (4.1.1.0):
     - res/i18n/x2goclient_nb_no.ts: update Bokmål (Norway) translation file.
     - res/i18n/x2goclient_nb_no.ts: update Bokmål (Norway) translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.1.1.0):
     - res/i18n/x2goclient_de.ts: update German translation file.
 .
   [ Sébastien Ducoulombier ]
   * New upstream version (4.1.1.0):
     - res/i18n/x2goclient_fr.ts: update French translation file.


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Sun, 29 Oct 2017 07:50:14 GMT) (full text, mbox, link).


Notification sent to Matthew Rubenstein <matthew.rubenstein@blue-green-group.com>:
Bug acknowledged by developer. (Sun, 29 Oct 2017 07:50:14 GMT) (full text, mbox, link).


Message sent on to Matthew Rubenstein <matthew.rubenstein@blue-green-group.com>:
Bug#1121. (Sun, 29 Oct 2017 07:50:16 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 27 Nov 2017 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Sep 15 07:43:11 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.